List Entity Property Sources

gethttps://statsigapi.net/console/v1/experiments/entity_properties

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

pageinteger

Page number

Response

application/json
200List Entity Property Sources response
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
name[]stringrequired

Unique identifier for the entity property source.

description[]stringrequired

Detailed context and purpose of the entity property source.

tags[]string[]required

Tags for categorization and search.

sql[]stringrequired

SQL query defining the data source.

timestampColumn[]string

Optional column name for timestamp.

timestampAsDay[]boolean

Indicates if the timestamp is treated as a day.

idTypeMapping[]object[]required

Mappings of Statsig units to their columns.

Show child attributes
statsigUnitID[]stringrequired

ID for the Statsig unit.

column[]stringrequired

Column name linked to the ID.

isReadOnly[]boolean

Specifies if the source can only be edited via the Console API.

owner[]object

Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.

Show child attributes
ownerIDstring

ID of the owner

ownerTypestring

Type of the owner (e.g., SDK_KEY or USER)

ownerNamestring

The name of the owner. This field is optional.

ownerEmailstring

The email of the owner. This field is optional.

team[]string

Optional field indicating the team name responsible for the metric, aiding in accountability and management.

teamID[]string

Optional field indicating the team ID responsible for the metric, aiding in accountability and management.

paginationobjectrequired

Pagination metadata for checking if there is next page for example.

400Invalid request. Please check the request input and try again.
statusintegerrequired
messagestringrequired
401This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
messagestringrequired

Was this helpful?